Межсайтовый скриптинг в Interspire ActiveKB NX

Дата публикации:
12.10.2007
Всего просмотров:
1638
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Interspire ActiveKB NX 2.x
Уязвимые версии: Interspire ActiveKB NX 2.6, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "page" в сценарии categories/[CAT]/index.php (когда параметр "[CAT]" установлен в значение существующей диреткории). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:
http://[host]/activekb/demo/default/categories/ActiveKB/?page=%3C
script%3Ealert(document.cookie);%3C/script%3E

URL производителя: www.interspire.com/activekb/

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA